epp_HostUpdateReq (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0705.host.epp_HostUpdateReq class

### org.openrtk.idl.epp0705.host

# Class epp_HostUpdateReq

- `java.lang.Object`
- - `org.openrtk.idl.epp0705.host.epp_HostUpdateReq`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_HostUpdateReq`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that contains the elements necessary to modify a host in the registry. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0705/host/epp_HostUpdateReq.java,v 1.2 2003/09/10 21:29:59 tubadanm Exp $
$Revision: 1.2 $
$Date: 2003/09/10 21:29:59 $

See Also:
  `EPPHostUpdate`, `epp_HostUpdateRsp`

  ## Field Summary
  `epp_HostUpdateAddRemove` | `m_add` The add element that contains attribute values to be added to the host object.
  `epp_HostUpdateChange` | `m_change` The change element that contains attribute values to be changed in the host object.
  `epp_Command` | `m_cmd` The common and generic command element.
  `String` | `m_name` The name of the host object to be modified in the registry.
  `epp_HostUpdateAddRemove` | `m_remove` The remove element that contains attribute values to be removed from the host object.

  ## Constructor Summary
  `epp_HostUpdateReq()` Empty constructor
  `epp_HostUpdateReq(epp_Command _m_cmd, String _m_name, epp_HostUpdateAddRemove _m_add, epp_HostUpdateAddRemove _m_remove, epp_HostUpdateChange _m_change)` The constructor with initializing variables.

  ## Method Summary
  `epp_HostUpdateAddRemove` | `getAdd()` Accessor method for the add element that contains attribute values to be added to the host object
  `epp_HostUpdateChange` | `getChange()` Accessor method for the change element that contains attribute values to be changed
  `epp_Command` | `getCmd()` Accessor method for the common and generic command element
  `String` | `getName()` Accessor method for the name of the host object
  `epp_HostUpdateAddRemove` | `getRemove()` Accessor method for the remove to be associated with the host object
  `void` | `setAdd(epp_HostUpdateAddRemove value)` Accessor method for the add element that contains attribute values to be added to the host object
  `void` | `setChange(epp_HostUpdateChange value)` Accessor method for the change element that contains attribute values to be changed
  `void` | `setCmd(epp_Command value)` Accessor method for the common and generic command element
  `void` | `setName(String value)` Accessor method for the name of the host object
  `void` | `setRemove(epp_HostUpdateAddRemove value)` Accessor method for the remove element that contains attribute values to be removed from the host object
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_add

    public epp_HostUpdateAddRemove m_add

> The add element that contains attribute values to be added to the host object.
> See Also:
>   `setAdd(epp_HostUpdateAddRemove)`, `getAdd()`

### m_change

    public epp_HostUpdateChange m_change

> The change element that contains attribute values to be changed in the host object.
> See Also:
>   `setChange(epp_HostUpdateChange)`, `getChange()`

### m_cmd

    public epp_Command m_cmd

> The common and generic command element.
> See Also:
>   `setCmd(epp_Command)`, `getCmd()`

### m_name

    public String m_name

> The name of the host object to be modified in the registry.
> See Also:
>   `setName(String)`, `getName()`

### m_remove

    public epp_HostUpdateAddRemove m_remove

> The remove element that contains attribute values to be removed from the host object.
> See Also:
>   `setRemove(epp_HostUpdateAddRemove)`, `getRemove()`

## Constructor Details

### epp_HostUpdateReq

    public epp_HostUpdateReq()

> Empty constructor

### epp_HostUpdateReq

    public epp_HostUpdateReq(epp_Command _m_cmd,
                             String _m_name,
                             epp_HostUpdateAddRemove _m_add,
                             epp_HostUpdateAddRemove _m_remove,
                             epp_HostUpdateChange _m_change)

> The constructor with initializing variables.
> Parameters:
>   `_m_cmd` - The common and generic command element
>   `_m_name` - The name of the host object to be modified in the registry
>   `_m_add` - The add element that contains attribute values to be added to the host object
>   `_m_remove` - The remove element that contains attribute values to be removed from the host object
>   `_m_change` - The change element that contains attribute values to be changed

## Method Details

### getAdd

    public epp_HostUpdateAddRemove getAdd()

> Accessor method for the add element that contains attribute values to be added to the host object
> Returns:
>   The add element
> See Also:
>   `m_add`

### getChange

    public epp_HostUpdateChange getChange()

> Accessor method for the change element that contains attribute values to be changed
> Returns:
>   The change element
> See Also:
>   `m_change`

### getCmd

    public epp_Command getCmd()

> Accessor method for the common and generic command element
> Returns:
>   The command element
> See Also:
>   `m_cmd`

### getName

    public String getName()

> Accessor method for the name of the host object
> Returns:
>   The host name
> See Also:
>   `m_name`

### getRemove

    public epp_HostUpdateAddRemove getRemove()

> Accessor method for the remove to be associated with the host object
> Returns:
>   The remove element
> See Also:
>   `m_remove`

### setAdd

    public void setAdd(epp_HostUpdateAddRemove value)

> Accessor method for the add element that contains attribute values to be added to the host object
> Parameters:
>   `value` - The add element
> See Also:
>   `m_add`

### setChange

    public void setChange(epp_HostUpdateChange value)

> Accessor method for the change element that contains attribute values to be changed
> Parameters:
>   `value` - The change element
> See Also:
>   `m_change`

### setCmd

    public void setCmd(epp_Command value)

> Accessor method for the common and generic command element
> Parameters:
>   `value` - The command element
> See Also:
>   `m_cmd`

### setName

    public void setName(String value)

> Accessor method for the name of the host object
> Parameters:
>   `value` - The host name
> See Also:
>   `m_name`

### setRemove

    public void setRemove(epp_HostUpdateAddRemove value)

> Accessor method for the remove element that contains attribute values to be removed from the host object
> Parameters:
>   `value` - The remove element
> See Also:
>   `m_remove`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS